Package com.google.android.exoplayer2.source.hls

## Class TimestampAdjusterProvider

- java.lang.Object
- - com.google.android.exoplayer2.source.hls.TimestampAdjusterProvider

-     public final class TimestampAdjusterProvider
      extends Object

  Provides `TimestampAdjuster` instances for use during HLS playbacks.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TimestampAdjusterProvider()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TimestampAdjuster` | `getAdjuster​(int discontinuitySequence)` | Returns a `TimestampAdjuster` suitable for adjusting the pts timestamps contained in a chunk with a given discontinuity sequence.
    `void` | `reset()` | Resets the provider.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TimestampAdjusterProvider

          public TimestampAdjusterProvider()

  - ### Method Detail

    - #### getAdjuster

          public TimestampAdjuster getAdjuster​(int discontinuitySequence)

      Returns a `TimestampAdjuster` suitable for adjusting the pts timestamps contained in a chunk with a given discontinuity sequence.
      Parameters:
        `discontinuitySequence` - The chunk's discontinuity sequence.
      Returns:
        A `TimestampAdjuster`.

    - #### reset

          public void reset()

      Resets the provider.